var fx=0;
var ph_zoom=100;
var savdat="";
var savdat_sp="";

//ダイアログの生成
$(function() {
	setInterval("main()",1000/30);
});

//フォーカス時の変数
$("#NewAlName").focusin(function(e){
	fx=1;
}).focusout(function(e) {
	fx=0;
});

//右クリックの禁止 (document)
$(document).on("contextmenu",function(e){
	if(fx!=1){
		return false;
	}
});

// メインループ
function main(){
	$("#AlViewer_img").css("height",parseInt($("#kansi_wy").html())-180);
	$("#AlViewer_img img").css("width",ph_zoom+"%");
	$("#AlZoom").html(ph_zoom);
	if($("#kansi_mode").html()=="ShowImportDialog"){
		$("#ImportDialog").modal("show");
		$("#kansi_mode").html("");
	}
	if($("#kansi_mode").html()=="CloseImportDialog"){
		$("body").css("overflow-y","auto");
		$("#ImportDialog").modal("hide");
		$("#kansi_mode").html("");
	}
	savdat = $("#kansi_savedata").html();
	savdat_sp = savdat.split("_");
	if(savdat_sp[0]=="Small"){
		$(".eims-fn").css("width","64px");
		$(".eims-thumb img").css("width","64px");
		$(".eims-thumb img").css("height","48px");
	}
	if(savdat_sp[0]=="Medium"){
		$(".eims-fn").css("width","96px");
		$(".eims-thumb img").css("width","96px");
		$(".eims-thumb img").css("height","72px");
	}
	if(savdat_sp[0]=="Large"){
		$(".eims-fn").css("width","128px");
		$(".eims-thumb img").css("width","128px");
		$(".eims-thumb img").css("height","96px");
	}
	if(savdat_sp[1]=="Yes"){
		$(".eims-fn").css("display","block");
	}
	if(savdat_sp[1]=="No"){
		$(".eims-fn").css("display","none");
	}
}

//データ（div）の切り替え
function chgData(a){
	$("#kansi").html(a);
}

//終了を実行
function CloseApp(){
	$("#kansi").html("CloseApp");
}

// リンクURLを指定してジャンプ
function startLink(a){
	$("#kansi").html("startLink");
	$("#kansi2").html(a);
}

//アルバムを作成
function NewAlbum(){
	var NewAlNm=$("#NewAlName").val();
	if(NewAlNm!=""){
		$("#kansi").html("NewAL");
		$("#kansi2").html(NewAlNm);
		$("#NewAlDialog").modal("hide");
	}
}

//アルバムを開く
function OpenBook(bn){
	$("#kansi").html("OpenBook");
	$("#kansi2").html(bn);
	$("#BookMenu").hide();
	$("#AlList").hide();
	$("#PhotoMenu").show();
	$("#AlPhoto").show();
	$("#AlPhBt").show();
}

//保存フォルダを開く
function OpenFolder(bn){
	$("#kansi").html("OpenFolder");
	$("#kansi2").html(bn);
}

//アルバムを閉じる
function CloseBook(){
	$("#kansi").html("CloseBook");
	$("#BookMenu").show();
	$("#AlList").show();
	$("#PhotoMenu").hide();
	$("#AlPhoto").hide();
	$("#AlPhBt").hide();
	$("#AlPhoto").html("");
}

// アルバムを削除
function DeleteBook(bn){
	$("#kansi").html("DeleteBook");
	$("#kansi2").html(bn);
}

// 画像の削除 (一括処理)
function DeleteAllImg(){
	var kansi_img = parseInt($("#kansi_img").text());
	var img_id="";
	for (var i = 0; i <= kansi_img; i++){
		if($("#eims-thumb-chkbox-"+i+" input").prop("checked")){
			img_id=img_id+""+i+",";
		}
	}
	if(img_id.slice(-1)==","){
		img_id=img_id.slice(0,-1);
	}
	$("#kansi").html("DelAllImg");
	$("#kansi2").html(img_id);
}

// 画像の表示
function ShowImg(bn,cn){
	$("body").css("overflow-y","hidden");
	$("#kansi").html("ShowImg");
	$("#kansi2").html(bn);
	$("#kansi3").html(cn);
	$("#AlViewer").show(200);
	ph_zoom=100;
}

// 画像を閉じる
function CloseImg(){
	$("body").css("overflow-y","auto");
	$("#AlViewer").hide(200);
}

// 画像の縮小
function MinimizeImg(){
	if(ph_zoom>20){
		ph_zoom=ph_zoom-10;
	}
}

// 画像の拡大
function MaximizeImg(){
	if(ph_zoom<200){
		ph_zoom=ph_zoom+10;
	}
}

// 設定ダイアログを開く
function ViewerSettings(){
	$("#thumb_size").val(savdat_sp[0]);
	$("#filename").val(savdat_sp[1]);
	$("#SetupDialog").modal("show");
}

// 設定の保存
function SaveSettings(){
	$("#kansi").html("SaveSettings");
	$("#kansi_savedata").html(""+$("#thumb_size").val()+"_"+$("#filename").val());
	$('#SetupDialog').modal("hide");
}